# Uses of Interface
javax.tools.Diagnostic

Packages that use Diagnostic
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).
javax.tools
Provides interfaces for tools which can be invoked from a program, for example, compilers.

- ## Uses of Diagnostic in com.sun.source.doctree

  Methods in com.sun.source.doctree that return Diagnostic
  Modifier and Type
  Method
  Description
  `Diagnostic<JavaFileObject>`
  ErroneousTree.`getDiagnostic()`
  Returns a diagnostic object giving details about the reason the body text is in error.

- ## Uses of Diagnostic in com.sun.source.util

  Methods in com.sun.source.util with parameters of type Diagnostic
  Modifier and Type
  Method
  Description
  `ErroneousTree`
  DocTreeFactory.`newErroneousTree(String text, Diagnostic<JavaFileObject> diag)`
  Creates a new `ErroneousTree` object, to represent some unparseable input.

- ## Uses of Diagnostic in javax.tools

  Methods in javax.tools that return types with arguments of type Diagnostic
  Modifier and Type
  Method
  Description
  `List<Diagnostic<? extends S>>`
  DiagnosticCollector.`getDiagnostics()`
  Returns a list view of diagnostics collected by this object.
  Methods in javax.tools with parameters of type Diagnostic
  Modifier and Type
  Method
  Description
  `void`
  DiagnosticCollector.`report(Diagnostic<? extends S> diagnostic)`
  `void`
  DiagnosticListener.`report(Diagnostic<? extends S> diagnostic)`
  Invoked when a problem is found.